Get Developer Crm Ticket Rating
/api/v1/developer/crm/tickets/{ticketId}/ratingUse the access scope below. The generated schemas specify the exact request and responses.
Access scopecrm.tickets.ratings.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Parameters
ticketIdrequired · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Request examples
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/crm/tickets/TICKET_ID/rating' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Responses
200 Nullable minimized CRM ticket rating
application/jsonobject
ratingrequired- object | null
Nested schema
object | nullscorerequired- integerminimum: 1 · maximum: 5
commentrequired- string | nullminLength: 1 · maxLength: 1000
sourcerequired- stringenum: ["operator","customer"]
recordedAtrequired- stringformat: "date-time"
JSON Schema
{ "type": [ "object", "null" ], "properties": { "score": { "type": "integer", "minimum": 1, "maximum": 5 }, "comment": { "type": [ "string", "null" ], "minLength": 1, "maxLength": 1000 }, "source": { "type": "string", "enum": [ "operator", "customer" ] }, "recordedAt": { "type": "string", "format": "date-time" } }, "required": [ "score", "comment", "source", "recordedAt" ], "additionalProperties": false }
JSON Schema
{
"type": "object",
"properties": {
"rating": {
"type": [
"object",
"null"
],
"properties": {
"score": {
"type": "integer",
"minimum": 1,
"maximum": 5
},
"comment": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 1000
},
"source": {
"type": "string",
"enum": [
"operator",
"customer"
]
},
"recordedAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"score",
"comment",
"source",
"recordedAt"
],
"additionalProperties": false
}
},
"required": [
"rating"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperCrmTicketRatingResponse"
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 CRM tickets entitlement or membership unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 CRM ticket not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titlerequired- string
statusrequired- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}